Subject: Cihui 1.0d10

From: Ed Lai <[email-masked]>
Date: Sat, 10 Jul 1993 07:32:17 -0700

A new version of Cihui WS is now available. Don't expect a major
improvement because it has been a long time. It is just that I
have not work on it for a long time. But I did manage to fix
a number of system crashing bug last week so hopefully it will
be more stable. Also the previous version has some very
peciluar problem when working with Nisus, now I think I have
get around them.

There are also some new feature, it is now text to speech ready.
Its principle is similar to Liedong Zheng's Mandarin program.
This means that you can do it provided you have the sound
resource, but I don't have any that I can distribute now. There
may be some coming in future. The total size can be about 4M, so
it is not too big for most hard disk.

The sound resource is contained in a HyperCard stack. It is meant
to be used not only by Cihui. I have a previous posting on
ZhongWen on how to have a series of Chinese tools for general
use, and this is a first attempt in providing some of these tool.

The other new feature is allowing the execution of AppleScript
from the input window. This essentially provides a message box
like the one in HyperCard in most applications. Since the output of
the execution of AppleScript goes to the document, this is also
a genuine input aid.

Cihui WS 1.0d10 is available from ftp.apple.com,
in /pub/lai/cihui. You can see from the modification date what
data has been changed. The dictionaries has also been changed,
but only the option resource has been changed. So if you have
an old dictionary, you can just copy the resources but keep the
old 'idat' resources to keep your dictionary content.

I only installed the final Chinese system about a week ago. I finally
have a chance to a quick look at the input method in the simplifed character
system. I have to admit so far I am pleasantly suprised. I wrote the input
framework for both Chinese system of ChineseTalk 1.0 and the actual
input method for the simplifed system many years ago. Since then
I am not involved in any offical way. I wrote a paper on the rules
input methods should follow to be user friendly. Most people think
that the input method on the Mac Chinese system have not improved
all these years. In fact I would say it has deterioate. Features had
in fact been removed so some of my original principle are no longer
followed. That is why I do Cihui on my own. The new simplied system
is fairly standard in its choice of input method. Pinyin or WuBi in
combination of LianXiang. However it follows all the principles I
have laid out before, so when you use it the feeling is that this is
what you expect on a Macintosh system. As for LianXiang, I was a
great fan of it when I heard about it 13 years ago. However today
it is clear that picking the first character still takes time, they
should go all the way to Cihui and use LianXiang as the dynamic display
after user input. I shall put that in a future version of Cihui.

As for the traditional system, let me just say no comment.

The Chinese 7.1 is in the developer CD, however it no longer comes
with the develop magazine. As for when Chinese 7.1 will be released
to the public, as I said I have no connection with the Chinese effort
in Apple for many years, and I really don't know, but it should be
coming.

/* Disclaimer: All statments and opinions expressed are my own */
/* Edmund K. Lai                                               */
/* Apple Computer, MS37-AS                                     */
/* 20525 Mariani Ave,                                          */
/* Cupertino, CA 95014                                         */
/* (408)974-6272                                               */
zW@h9cOi